Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins
[Groovy] Class DomainClassPluginSupport

    java.lang.Object
      org.codehaus.groovy.grails.plugins.DomainClassPluginSupport

    class DomainClassPluginSupport

Authors:
  Graeme Rocher

Since:
  1.1

Method Summary
`static java.lang.Object` | `validateInstance(java.lang.Object object, ApplicationContext ctx)` Validates a domain class (or command object) instance.

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### validateInstance

    static java.lang.Object validateInstance(java.lang.Object object, ApplicationContext ctx)

  Validates a domain class (or command object) instance.

Groovy Documentation